#include <stdio.h>

void second(int x); // forward declaration

void first(int x) {
  printf("first");
  printf("\n");
  second(0);
  return;
}

void second(int x) {
  printf("second");
  printf("\n");
  return;
}

int main() {
  first(0);
  return 0;
}
